<?php

$quote_items = $block->getData('quote_items');
$objectManager = \Magento\Framework\App\ObjectManager::getInstance(); 
       
$items = [];
foreach ($quote_items as $product) {
        if ($product->isSaleable() && $product->getTypeId() == 'simple'){
            $items[] = $product;
        }
    $priceHelper = $objectManager->create('Magento\Framework\Pricing\Helper\Data'); 
    $taxHelper = $objectManager->create('Magento\Catalog\Helper\Data'); 

}
?>

<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php $lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load'); ?>
<?php $baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png'); ?>
<?php $baseImageHover = $this->getViewFileUrl('MGS_Mpanel::images/blank.png'); ?>

<?php $perRow = 1;//$themeHelper->getStoreConfig('mpanel/product_details/product_per_row_list'); ?>

<?php $_helper = $this->helper('Magento\Catalog\Helper\Output'); ?>
<?php
        /** @var \Magento\Catalog\Block\Product\ProductList\Crosssell $block */
        if ($exist = count($items)) {
            $type = 'crosssell';
            $class = 'crosssell';
            $image = 'product_base_image';
            $image_hover = 'product_base_image';
            $title = __('You might also like');
            //$items = $block->getItems();

            $showCart = true;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
        }

?>
<?php if ($exist):?>

    <?php  $size = $themeHelper->getImageSize($this->getRatio()); ?>
    <?php $padding = $themeHelper->getImagePadding($this->getRatio()); ?>
        <div class="block <?php /* @escapeNotVerified */ echo $class; ?>">

            <div class="content-heading">
                <h3 class="title text-uppercase"><span id="block-<?php /* @escapeNotVerified */ echo $class?>-heading" role="heading" aria-level="2"><?php /* @escapeNotVerified */ echo $title; ?></span></h3>
            </div>
            <div class="block-content content" aria-labelledby="block-<?php /* @escapeNotVerified */ echo $class?>-heading">
                    <div class="products wrapper grid row products-grid slider-1-row products-<?php /* @escapeNotVerified */ echo $type; ?>">
                        <div id="<?php /* @escapeNotVerified */ echo $type; ?>-owl-carousel" class="products list items product-items owl-carousel">
                            <?php $iterator = 1; ?>
                            <?php foreach ($items as $_item): ?>

                                <?php 
                                    $buttonLabel = 'Add To Cart';
                                    $buttonNote = '';
                                    if($_item->getData('amasty_preorder_cart_label')){
                                        $buttonLabel = $_item->getData('amasty_preorder_cart_label');
                                    }
                                    if($_item->getData('amasty_preorder_note')){
                                         $buttonNote = $_item->getData('amasty_preorder_note');
                                    }

                                    $priceInfo = $_item->getPriceInfo();
                                    $prices = $priceInfo->getPrices();
                                    $rendererPool = \Magento\Framework\App\ObjectManager::getInstance()->create(\Magento\Framework\Pricing\Render\RendererPool::class);
                                    $rendererPool->setData([
'default' =>
[
'default_amount_render_class' => \Magento\Framework\Pricing\Render\Amount::class,
'default_amount_render_template' => 'Magento_Catalog::product/price/amount/default.phtml',
],
]);
                                    $price = $priceInfo->getPrice('regular_price');
                                    $priceBox = \Magento\Framework\App\ObjectManager::getInstance()
->create(\Magento\Catalog\Pricing\Render\FinalPriceBox::class, [
'saleableItem' => $_item,
'price' => $price,
'rendererPool' => $rendererPool,
'amount' => $price->getAmount()
]);
$priceBox->setTemplate('Alogic_Customtheme::product/price/final_price.phtml');

                                ?>
                            <?php $available = ''; ?>
                            <div class="item product product-item" style="width: 40%;">
                                <?php $_productNameStripped = $block->stripTags($block->escapeHtml($_item->getName()), null, true); ?>
                                <div class="product-item-info " >
                                    <?php
                                        $_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
                                        $productImage = $_imagehelper->init($_item, $image)->resize($size['width'], $size['height'])->getUrl();
                                        $productImageHover = $_imagehelper->init($_item, $image_hover)->resize($size['width'], $size['height'])->getUrl();
                                    ?>
                                    <?php if(!$lazyLoad): ?>
                                        <?php $baseImage = $productImage ?>
                                        <?php $baseImageHover = $productImageHover ?>
                                    <?php endif ?>
                                    <div class="row">
                    <div class="col-xs-4">
                      <div class="product-top">
                                            <?php // Product Image ?>
                                            <a href="<?php echo $_item->getProductUrl()?>" style="padding-bottom: <?php echo $padding ?>;" class="product photo product-item-photo" tabindex="-1">
                                                <img src="<?php echo $baseImage; ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if($lazyLoad): ?> owl-lazy<?php endif ?>" data-src="<?php echo $productImage ?>"/>
                                                <?php if(basename($_item->getData('thumbnail')) !=  'no_selection'): ?>
                                                    <?php if(basename($_item->getData('thumbnail')) != basename($_item->getData('small_image'))): ?>
                                                        <img src="<?php echo $baseImageHover; ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if($lazyLoad): ?> owl-lazy<?php endif ?>" data-src="<?php echo $productImageHover ?>" />
                                                    <?php endif ?>
                                                <?php endif ?>
                                            </a>
                     </div>
                    </div>
                    <div class="col-xs-8 padding-left0">
                      <div class="product details product-item-details">
                                            <h5 class="product name product-item-name">
                                                <a class="product-item-link"
                                                   href="<?php echo $_item->getProductUrl()?>">
                                                    <?php echo $block->escapeHtml($_item->getName()) ?>
                                                </a>
                                            </h5>
                                    <?php /* @escapeNotVerified */ 
                                    //echo $block->getProductPrice($_item);

                                        $price = $taxHelper->getTaxPrice($_item, $_item->getFinalPrice(), true);

                                    echo $priceBox->toHtml();
                                    ?>

                                            

                        <?php if ($themeHelper->getStoreConfig('mgstheme/general/disable_add_to_cart') == 0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') ==0 && $themeHelper->getStoreConfig('mpanel/catalog/disable_button_cart_hover_effect') ==0): ?>
                                                <?php if ($showCart && $_item->isSaleable()): ?>
                                                    <?php if ($_item->getTypeInstance()->hasRequiredOptions($_item)): ?>
                                                        
                                                        <?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$listBlock = $objectManager->get('\Magento\Catalog\Block\Product\ListProduct');
$addToCartUrl =  $listBlock->getAddToCartUrl($_item);
?>

<form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post"> 
    
    <input name="form_key" type="hidden" value="<?php echo $block->getFormKey()?>">
        <button type="submit" title="Add" class="action tocart btn-cart btn-primary">
            <span><?php echo $buttonLabel; ?></span>
        </button>
      <span><?php echo $buttonNote; ?></span>
 </form>

                                                    <?php else: ?>
                                                        <?php $postDataHelper = $this->helper('Magento\Framework\Data\Helper\PostHelper');
                                                        $postData = $postDataHelper->getPostData($block->getAddToCartUrl($_item), ['product' => $_item->getEntityId()])
                                                        ?>
                                                         <?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$listBlock = $objectManager->get('\Magento\Catalog\Block\Product\ListProduct');
$addToCartUrl =  $listBlock->getAddToCartUrl($_item);
?>

<form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post"> 
    
    <input name="form_key" type="hidden" value="<?php echo $block->getFormKey()?>">
    
        <button type="submit" title="Add" class="action tocart btn-cart btn-primary">
            <span><?php echo $buttonLabel; ?></span>
        </button>
      <span><?php echo $buttonNote; ?></span>
 </form>                                                        
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endif ?>
                                        </div>
                    </div>
                  </div>

                                </div>
                            </div>
                        <?php endforeach ?>
                    </div>
                    <script type="text/javascript">
                        require([
                            'jquery',
                            'mgs/owlcarousel'
                        ], function ($) {
                            var owlcarousell<?php echo $type; ?> = $('#<?php echo $type; ?>-owl-carousel').owlCarousel({
                                responsiveClass:true,
                                items: <?php echo $perRow; ?>,
                                autoplay: false,
                                autoplayHoverPause: false,
                                itemsDesktop : [1199,1],
                                itemsDesktopSmall : [979,1],
                                nav: false,
                                <?php if($lazyLoad): ?>lazyLoad: true,<?php endif ?>
                                dots: true,
                                navText: ["<i class='pe-7s-angle-left'></i>","<i class='pe-7s-angle-right'></i>"],
                                responsive:{
                                    0:{
                                        items:1
                                    },
                                    992:{
                                        items:<?php echo $perRow; ?>
                                    }
                                }
                            });
                        });
                    </script>
                </div>
            </div>
        </div>
    
<?php endif;?>
